﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace PanesFromCodeBehind
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void AddPaneLeft(object sender, RoutedEventArgs e)
        {
            RadPane myPane = new RadPane();
            //optional
            myPane.Header = "Simple Header";
            myPane.Title = "Simple Title";
            myPane.CanDockInDocumentHost = true;
            myPane.CanFloat = false;
            myPane.CanUserClose = true;
            myPane.CanUserPin = true;
            //
            leftGroup.Items.Add(myPane);
        }

        private void AddPaneRight(object sender, RoutedEventArgs e)
        {
            RadPane myPane = new RadPane();
            //optional
            myPane.Header = "Simple Header";
            myPane.Title = "Simple Title";
            myPane.CanDockInDocumentHost = true;
            myPane.CanFloat = false;
            myPane.CanUserClose = true;
            myPane.CanUserPin = true;
            //
            rightGroup.Items.Add(myPane);
        }

        private void AddPaneToDocumentHost(object sender, RoutedEventArgs e)
        {
            RadDocumentPane myPane = new RadDocumentPane();
            //optional
            myPane.Header = "Simple Header";
            myPane.Title = "Simple Title";
            myPane.CanDockInDocumentHost = true;
            myPane.CanFloat = true;
            myPane.CanUserClose = true;
            myPane.CanUserPin = true;
            //
            dockumentGroup.Items.Add(myPane);
        }

        private void AddFloatingPane(object sender, RoutedEventArgs e)
        {
            RadSplitContainer mySplitcontainer = new RadSplitContainer();
            mySplitcontainer.InitialPosition = Telerik.Windows.Controls.Docking.DockState.FloatingDockable;
            RadPaneGroup floatingGroup = new RadPaneGroup();
            RadPane myPane = new RadPane();
            myPane.Header = "Simple Header";

            floatingGroup.Items.Add(myPane);
            mySplitcontainer.Items.Add(floatingGroup);          
            dock.Items.Add(mySplitcontainer);
        }
    }
}
